import static com.kms.katalon.core.checkpoint.CheckpointFactory.findCheckpoint
import static com.kms.katalon.core.testcase.TestCaseFactory.findTestCase
import static com.kms.katalon.core.testdata.TestDataFactory.findTestData
import static com.kms.katalon.core.testobject.ObjectRepository.findTestObject
import java.util.concurrent.CancellationException as CancellationException
import org.junit.After as After
import com.kms.katalon.core.checkpoint.Checkpoint as Checkpoint
import com.kms.katalon.core.checkpoint.CheckpointFactory as CheckpointFactory
import com.kms.katalon.core.mobile.keyword.MobileBuiltInKeywords as MobileBuiltInKeywords
import com.kms.katalon.core.mobile.keyword.MobileBuiltInKeywords as Mobile
import com.kms.katalon.core.model.FailureHandling as FailureHandling
import com.kms.katalon.core.testcase.TestCase as TestCase
import com.kms.katalon.core.testcase.TestCaseFactory as TestCaseFactory
import com.kms.katalon.core.testdata.TestData as TestData
import com.kms.katalon.core.testdata.TestDataFactory as TestDataFactory
import com.kms.katalon.core.testobject.ObjectRepository as ObjectRepository
import com.kms.katalon.core.testobject.TestObject as TestObject
import com.kms.katalon.core.webservice.keyword.WSBuiltInKeywords as WSBuiltInKeywords
import com.kms.katalon.core.webservice.keyword.WSBuiltInKeywords as WS
import com.kms.katalon.core.webui.keyword.WebUiBuiltInKeywords as WebUiBuiltInKeywords
import com.kms.katalon.core.webui.keyword.WebUiBuiltInKeywords as WebUI
import internal.GlobalVariable as GlobalVariable
import org.openqa.selenium.WebElement
import org.openqa.selenium.WebDriver as WebDriver
import com.kms.katalon.core.webui.driver.DriverFactory as DriverFactory
import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;


WebUI.openBrowser(null)
WebUI.navigateToUrl(GlobalVariable.URL)


username = findTestObject('SignIn/username')
WebUI.click(username)
WebUI.setText(username, GlobalVariable.usrLH)

password = findTestObject('SignIn/password')
WebUI.click(password)
WebUI.setText(password, GlobalVariable.pswLH)

loginButton = findTestObject('SignIn/login')
WebUI.click(loginButton)

New = findTestObject("NewManuscript/journalFieldSelection/New")
WebUI.click(New)

submissionID = findTestObject("NewManuscript/submissionID")
GlobalVariable.SID = WebUI.getAttribute(submissionID, "data-test-submission")

Cancel = findTestObject("NewManuscript/journalFieldSelection/Cancel")
WebUI.click(Cancel)

resumeSubmission = findTestObject('Resume/resumeSubmission', [('id'): GlobalVariable.SID])
WebUI.click(resumeSubmission)

cancel = findTestObject("NewManuscript/journalFieldSelection/Cancel")
WebUI.waitForElementPresent(cancel, 2)
WebUI.click(cancel)
